Bug 134193 - System freeze on usb MP3 player insertion
Summary: System freeze on usb MP3 player insertion
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-usb mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-03 21:00 UTC by Henri-Pierre Charles
Modified: 2017-12-31 22:34 UTC (History)
0 users

See Also:


Attachments
file.diff (2.15 KB, patch)
2009-05-03 21:00 UTC, Henri-Pierre Charles
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henri-Pierre Charles 2009-05-03 21:00:07 UTC
Using an MP3 player (MPMAN model) the system freeze and give this message :

May  2 21:31:24 media kernel: umass0: BBB reset failed, TIMEOUT
May  2 21:31:24 media kernel: umass0: BBB bulk-in clear stall failed, TIMEOUT
May  2 21:31:24 media kernel: umass0: BBB bulk-out clear stall failed, TIMEOUT
May  2 21:31:24 media kernel: umass0: BBB reset failed, TIMEOUT

It's impossible to use the system, and of course the MP3 player.

Fix: Patching sys/dev/usb/usbdevs for adding name for this device and patching sys/dev/usb/umass.c for adding quirk NO_SYNCHRONIZE_CACHE fixe the problem

Patch attached with submission follows:
How-To-Repeat: Insert a MPMAN player. I've tried with different model (1Go and 2 Go)
Comment 1 Hans Petter Selasky 2009-05-04 09:16:54 UTC
On Sunday 03 May 2009, Henri-Pierre Charles wrote:
> Henri-Pierre Charles

Fix for 8-current.

http://perforce.freebsd.org/chv.cgi?CH=161533

--HPS
Comment 2 hpcharles 2009-05-04 12:25:05 UTC
Hello,

On Sun, May 3, 2009 at 10:00 PM,  <FreeBSD-gnats-submit@freebsd.org> wrote:
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D134193
>
>>Category: =A0 =A0 =A0 usb
>>Responsible: =A0 =A0freebsd-usb
>>Synopsis: =A0 =A0 =A0 System freeze on usb MP3 player insertion
>>Arrival-Date: =A0 Sun May 03 20:00:07 UTC 2009

Well, finally I did more testing and with my patch (added quirk
NO_SYNCHRONIZE_CACHE in umass.c) the system allow to mount, read,
write. But it seem that write sometimes failed :

Symptom:
mount the key
cp mp3 file
md5 file
umount the key
re-mout the key
md5 file give an other sum (and the sound is horrible)

I'm not specialist of the usb/umass quirk. Is there anything else to
try ? (FYI the mp3 mount/read/write like a charm on linux xubuntu)

Thanks for any help ! This patch is for helping my daughters to use
their mp3, help me to answer to their question "Dad, why don't you
install linux everywhere ?" :-) (No flame, just kidding)

--=20
HPC
Comment 3 Gavin Atkinson freebsd_committer freebsd_triage 2010-07-26 21:25:20 UTC
The usb/usbdevs part of the patch has been committed, but the quirk has 
only been committed to p4 so far.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:58:33 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped